Logo

Hover an endpoint and click the pin icon to pin it here.

GETGet Enriched NetFlow Data
GETGet Network Diagram Summary
GETGet Top Destinations
GETGet Data Transfer
GETGet Services
GETGet Protocols
GETGet Top Things
GETGet Breakouts
GETGet TCP-Flags
GETGet NetFlow Summary
GETGet Groups Filter List
GETGet MNO Filter List
GETGet Profiles Filter List
GETGet Countries Filter List
GETGet Breakout Filter List
GETGet Protocols Filter List
GETGet Invoice Type Filter List
GETGet Payment Status Filter List
GETGet Billing Period Filter List
GETGet Account Filter List
GETGet Account Billable Filter List
GETGet Exceptional Billable Filter List
GETGet Payment Reports
POSTCreate Payment Report
GETGet Data Usage
GETGet Insights
GETGet Dashboard Summary
GETGet Top Groups
GETGet Top Identities
GETGet Top Networks
GETGet Top Consumers
GETGet Active Things
GETDownload Payment Report
GETGet Top DNS Transfer
GETGet DNS Summary
GETGet DNS Time Series
GETGet DNS Top Queries
GETGet DNS Top Donut
GETGet DNS Clients Affected
GETGet DNS Top Failing Domains
GETGet DNS Failing Things
GETGet DNS Resolver Coverage
GETGet NetFlow Insights
GETGet Things Status
GETGet Countries
GETGet Thing Data Usage
GETGet Group Data Usage
GETGet Tag Data Usage
v1.0.35
Admin
get
api.monogoto.io/v1/filters/mno

Get MNO Filter List

Scopes
dashboard:read
Rate limited
60 reqevery 1 minute·keyed byUser ID

Retrieve the Mobile Network Operators (MNOs) seen on the account's traffic in the time range. Returns the same MNO list used as filter options for both NetFlow and Dashboard report endpoints. name is the MNO name and id its MNO identifier (the name when no identifier is known).

Use the name or id value of an item as the mno query parameter when calling report endpoints.

With no time range at all the list is empty; a half-specified, inverted or over-long range is 400 (see start_time).

Parameters

Query
start_timedate-time
optional

Start of the time range in ISO 8601 UTC format. Must be sent together with end_time.

A window is either period, or both start_time and end_time spanning at most 180 days with start_time not after end_time. When none of start_time, end_time and period is sent, the list is returned empty (200, items: []). A window that is sent but unusable is 400, with the same messages as /v1/netflow/*: only one of start_time/end_time (Both start_time and end_time must be provided), start_time after end_time (start_time cannot be greater than end_time), or a range longer than 180 days (Date range cannot exceed 180 days). A value that is not ISO 8601 is 422.

end_timedate-time
optional

End of the time range in ISO 8601 UTC format. Must be sent together with start_time. The range cannot exceed 180 days; a longer or inverted range is 400.

periodstring
optional

Predefined report period. Explicit start_time/end_time take precedence.

enum:todaylast_24_hoursyesterdaylast_7_daysthis_monthlast_monthlast_30_daysthis_quarterlast_quarterthis_yearlast_yearlast_12_months

Responses

MNO filter list retrieved successfully.

application/json
object
status_codeinteger
required

HTTP status code

messagestring
required

Response message

dataobject
required

List of available filter options.

itemsarray[object]
required

Array of filter options.

[ ]object
optional

A single filter option with a display name and value identifier.

request_idstring
required

Unique request ID for tracking

Example

{
  "status_code": 200,
  "message": "Success",
  "request_id": "550e8400-e29b-41d4-a716-446655440000",
  "data": {
    "items": [
      {
        "name": "VODAFONE ITALIA S.P.A",
        "id": "22210"
      }
    ]
  }
}

Related

5
GET

Get Enriched NetFlow Data

/v1/netflow/enriched

GET

Get Network Diagram Summary

/v1/netflow/networkdiagram-summary

GET

Get Top Destinations

/v1/netflow/top-destinations

GET

Get Data Transfer

/v1/netflow/data-transfer

GET

Get Services

/v1/netflow/services

Was this page helpful?

/
curl -X GET 'https://api.monogoto.io/v1/filters/mno?start_time=2026-01-01T00%3A00%3A00Z&end_time=2026-01-31T23%3A59%3A59Z&period=last_30_days' \
  -H 'Authorization: Bearer $TOKEN'

MNO filter list retrieved successfully.

{
  "status_code": 200,
  "message": "Success",
  "request_id": "550e8400-e29b-41d4-a716-446655440000",
  "data": {
    "items": [
      {
        "name": "VODAFONE ITALIA S.P.A",
        "id": "22210"
      }
    ]
  }
}